﻿using Microsoft.Extensions.DependencyInjection;
using NetworkResurrector.Server.Wrapper.Models;
using NetworkResurrector.Server.Wrapper.Services;

namespace NetworkResurrector.Server.Wrapper
{
    public static class DependencyInjectionExtension
    {
        public static void UseResurrectorServices(this IServiceCollection services, string baseAddress)
        {
            services.AddSingleton(new ServiceConfiguration(baseAddress));
            services.AddHttpClient<IResurrectorService, ResurrectorService>();
        }
    }
}